Index: asp3_wo_tecs/trunk/test/MANIFEST
===================================================================
--- asp3_wo_tecs/trunk/test/MANIFEST	(revision 302)
+++ asp3_wo_tecs/trunk/test/MANIFEST	(revision 304)
@@ -34,4 +34,5 @@
 perf5.cfg
 perf5.h
+perf_pf.cdl
 test_cpuexc.cfg
 test_cpuexc.h
@@ -50,4 +51,7 @@
 test_dlynse.cfg
 test_dlynse.h
+test_flg1.c
+test_flg1.cfg
+test_flg1.h
 test_hrt1.c
 test_hrt1.cfg
@@ -78,4 +82,5 @@
 test_notify1.cfg
 test_notify1.h
+test_pf.cdl
 test_raster1.c
 test_raster1.cfg
Index: asp3_wo_tecs/trunk/test/hrt_systim1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/hrt_systim1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/hrt_systim1.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: hrt_systim1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/hrt_systim2.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/hrt_systim2.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/hrt_systim2.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: hrt_systim2.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/hrt_systim3.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/hrt_systim3.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/hrt_systim3.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: hrt_systim3.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/hrt_systim4.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/hrt_systim4.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/hrt_systim4.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: hrt_systim4.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf0.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf0.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf0.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf0.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf2.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf2.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf2.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf2.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf3.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf3.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf3.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf3.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf4.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf4.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf4.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf4.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/perf5.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/perf5.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/perf5.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: perf5.cfg 449 2015-08-14 01:26:43Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_cpuexc.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_cpuexc.cfg 404 2015-08-02 21:56:21Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_dlynse.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_dlynse.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_dlynse.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_dlynse.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_flg1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.c	(revision 304)
+++ asp3_wo_tecs/trunk/test/test_flg1.c	(revision 304)
@@ -0,0 +1,758 @@
+/*
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
+ * 
+ *  Copyright (C) 2015-2016 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+ *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+ *  å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+ *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+ *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+ *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+ *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+ *      è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+ *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+ *      ã¨ï¼
+ *    (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+ *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *    (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+ *        å ±åãããã¨ï¼
+ *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+ *      å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+ *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+ *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+ *      å
+è²¬ãããã¨ï¼
+ * 
+ *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+ *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+ *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+ *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+ *  ã®è²¬ä»»ãè² ããªãï¼
+ * 
+ *  $Id: test_flg1.c 579 2016-02-03 07:29:11Z ertl-hiro $
+ */
+
+/* 
+ *		ã¤ãã³ããã©ã°æ©è½ã®ãã¹ã(1)
+ *
+ * ããã¹ãã®ç®çã
+ *
+ *  set_flgï¼ã¿ã¹ã¯ã³ã³ãã­ã¹ãããã®å¼åºãï¼ï¼wai_flgï¼CRE_FLGãç¶²ç¾
+ç
+ *  ã«ãã¹ãããï¼ãã ãï¼CRE_FLGã®ã¨ã©ã¼ã®ãã¹ãã¯é¤ãï¼ï¼
+ *
+ * ããã¹ãé 
+ç®ã
+ *
+ *	(A) set_flgã®éçã¨ã©ã¼ã®ãã¹ã
+ *		(A-1) CPUã­ãã¯ç¶æ
+ããã®å¼åºãï¼»NGKI1604ï¼½
+ *		(A-2) flgidãä¸æ­£ï¼å°ããããï¼ï¼»NGKI1605ï¼½
+ *		(A-3) flgidãä¸æ­£ï¼å¤§ããããï¼ï¼»NGKI1605ï¼½
+ *	(B) set_flgã«ããã¤ãã³ããã©ã°ãã»ãããããï¼»NGKI1608ï¼½
+ *		(B-1) ç¾å¨ãã¿ã¼ã³ã0x00ã®æã«ï¼0x00ãã»ãããã
+ *		(B-2) ç¾å¨ãã¿ã¼ã³ã0x00ã®æã«ï¼0x01ãã»ãããã
+ *		(B-3) ç¾å¨ãã¿ã¼ã³ã0x01ã®æã«ï¼0x01ãã»ãããã
+ *		(B-4) ç¾å¨ãã¿ã¼ã³ã0x01ã®æã«ï¼0x02ãã»ãããã
+ *		(B-5) ç¾å¨ãã¿ã¼ã³ã0x01ã®æã«ï¼0x03ãã»ãããã
+ *	(C) set_flgã«ããã¤ãã³ããã©ã°å¾
+ã¡ç¶æ
+ã®ã¿ã¹ã¯ãå¾
+ã¡è§£é¤ããã
+ *		(C-1) å¾
+ã¡è§£é¤ãããã¿ã¹ã¯ã«åãæãã
+ *		(C-2) ãã£ã¹ãããä¿çç¶æ
+ã§ï¼åãæãããªã
+ *		(C-3) å¾
+ã¡è§£é¤ãããã¿ã¹ã¯ãå¼·å¶å¾
+ã¡ç¶æ
+ã§ï¼åãæãããªã
+ *		(C-4) å¾
+ã¡è§£é¤ãããã¿ã¹ã¯ãåªå
+åº¦ãä½ãï¼åãæãããªã
+ *	(D) wai_flgã®éçã¨ã©ã¼ã®ãã¹ã
+ *		(D-1) éã¿ã¹ã¯ã³ã³ãã­ã¹ãããã®å¼åºãï¼»NGKI1621ï¼½
+ *		(D-2) CPUã­ãã¯ç¶æ
+ããã®å¼åºãï¼»NGKI1622ï¼½
+ *		(D-3) ãã£ã¹ãããç¦æ­¢ç¶æ
+ããã®å¼åºãï¼»NGKI1623ï¼½
+ *		(D-4) å²è¾¼ã¿åªå
+åº¦ãã¹ã¯å
+¨è§£é¤ã§ãªãç¶æ
+ããã®å¼åºãï¼»NGKI1623ï¼½
+ *		(D-5) flgidãä¸æ­£ï¼å°ããããï¼ï¼»NGKI1625ï¼½
+ *		(D-6) flgidãä¸æ­£ï¼å¤§ããããï¼ï¼»NGKI1625ï¼½
+ *		(D-7) waiptnã0ï¼»NGKI1626ï¼½
+ *		(D-8) wfmodeã0ï¼»NGKI1627ï¼½
+ *		(D-9) wfmodeã(TWF_ORW|TWF_ANDW)ï¼»NGKI1627ï¼½
+ *	(E) wai_flgã®å¾
+ã¡è§£é¤æ¡ä»¶ã®ãã¹ãï¼»NGKI1636ï¼½
+ *		TA_CLRå±æ§ã§ãªãã¤ãã³ããã©ã°ã§ãã¹ãããï¼ä»¥ä¸ã®åãã¿ã¼ã³ã§ï¼
+ *		ããããã¿ã¼ã³ã®ç¾å¨å¤ã*p_flgptnã«è¿ããã¨ãç¢ºèªãã
+ *		(E-1) TWF_ORWã§ï¼ããããã®ããããã»ããããã¦ããã°æç«ãããã¨
+ *		(E-2) TWF_ORWã§ï¼å¯¾è±¡å¤ã®ããããã»ããããã¦ãã¦ãä¸æç«ã«ãªããã¨
+ *		(E-3) TWF_ANDWã§ï¼ãã¹ã¦ã®ããããã»ããããã¦ããã°æç«ãããã¨
+ *		(E-4) TWF_ANDWã§ï¼ä¸é¨ã®ããããã»ããããã¦ãã¦ãä¸æç«ã«ãªããã¨
+ *	(F) wai_flgã§ã®TA_CLRå±æ§ã®ãã¹ãï¼»NGKI1637ï¼½
+ *		TA_CLRå±æ§ã®ã¤ãã³ããã©ã°ã§ãã¹ãããï¼ä»¥ä¸ã®åãã¿ã¼ã³ã§ï¼ãã
+ *		ããã¿ã¼ã³ã0ã«ã¯ãªã¢ããããã¨ã¨ï¼ããããã¿ã¼ã³ã®ç¾å¨å¤ã
+ *		*p_flgptnã«è¿ããã¨ãç¢ºèªãã
+ *		(F-1) TWF_ORWã§ï¼ããããã®ããããã»ããããã¦ããã°æç«ãããã¨
+ *		(F-2) TWF_ORWã§ï¼å¯¾è±¡å¤ã®ããããã»ããããã¦ãã¦ãä¸æç«ã«ãªããã¨
+ *		(F-3) TWF_ANDWã§ï¼ãã¹ã¦ã®ããããã»ããããã¦ããã°æç«ãããã¨
+ *		(F-4) TWF_ANDWã§ï¼ä¸é¨ã®ããããã»ããããã¦ãã¦ãä¸æç«ã«ãªããã¨
+ *	(G) è¤æ°ã¿ã¹ã¯å¾
+ã¡ã¨ã©ã¼ã®ãã¹ãï¼»NGKI1632ï¼½
+ *		TA_WMULå±æ§ã§ãªãã¤ãã³ããã©ã°ã§ãã¹ãããï¼ä»¥ä¸ã®åãã¿ã¼ã³ã§ï¼
+ *		å¾
+ã¡ã¿ã¹ã¯ããæã«ï¼wai_flgãå¼ã¶ã¨ã¨ã©ã¼ã«ãªããã¨ãç¢ºèªãã
+ *		(G-1) å¾
+ã¡è§£é¤æ¡ä»¶ãæç«ãã¦ããæ
+ *		(G-2) å¾
+ã¡è§£é¤æ¡ä»¶ãæç«ãã¦ããªãæ
+ *	(H) è¤æ°ã¿ã¹ã¯å¾
+ã¡ã®ãã¹ãï¼»NGKI1609ï¼½
+ *		TA_WMULå±æ§ï¼TA_CLRå±æ§ã§ï¼TA_TPRIå±æ§ã§ãªãã¤ãã³ããã©ã°ã§ã
+ *		ã¹ãããï¼
+ *		(H-1) è¤æ°ã®ã¿ã¹ã¯ãå¾
+ã¡ã«ãªãããã¨
+ *		(H-2) è¤æ°ã®ã¿ã¹ã¯ãFIFOé ã§å¾
+ã¡è§£é¤ããããã¨
+ *		(H-3) å¾
+ã¡è§£é¤æ¡ä»¶ã«ãã£ã¦ã¯ï¼FIFOé ã§å¾ãã®ã¿ã¹ã¯ã®ã¿ãå¾
+ã¡è§£
+ *			  é¤ããããã¨
+ *	(I) è¤æ°ã¿ã¹ã¯å¾
+ã¡ã®ãã¹ãï¼»NGKI1609ï¼½
+ *		TA_WMULå±æ§ï¼TA_CLRå±æ§ãã¤TA_TPRIå±æ§ã®ã¤ãã³ããã©ã°ã§ãã¹ã
+ *		ããï¼
+ *		(I-1) è¤æ°ã®ã¿ã¹ã¯ãå¾
+ã¡ã«ãªãããã¨
+ *		(I-2) è¤æ°ã®ã¿ã¹ã¯ãåªå
+åº¦é ã§å¾
+ã¡è§£é¤ããããã¨
+ *		(I-3) å¾
+ã¡è§£é¤æ¡ä»¶ã«ãã£ã¦ã¯ï¼åªå
+åº¦é ã§å¾ãã®ã¿ã¹ã¯ã®ã¿ãå¾
+ã¡
+ *			  è§£é¤ããããã¨
+ *	(J) ã¤ãã³ããã©ã°ã®ããããã¿ã¼ã³ã®åæå¤ãæ­£ããè¨­å®ãããï¼»NGKI1570ï¼½
+ *		(J-1) åæããããã¿ã¼ã³ã0x00
+ *		(J-2) åæããããã¿ã¼ã³ã0x01
+ *
+ * ãä½¿ç¨ãªã½ã¼ã¹ã
+ *
+ *	TASK1: ä¸­åªå
+åº¦ã¿ã¹ã¯ï¼TA_ACTå±æ§
+ *	TASK2: é«åªå
+åº¦ã¿ã¹ã¯
+ *	TASK3: ä½åªå
+åº¦ã¿ã¹ã¯
+ *	TASK4: ä¸­åªå
+åº¦ã¿ã¹ã¯
+ *	TASK5: ä¸­åªå
+åº¦ã¿ã¹ã¯
+ *	ALM1:  ã¢ã©ã¼ã ãã³ãã©
+ *  FLG1:  TA_NULLå±æ§ï¼åæããããã¿ã¼ã³0x00
+ *  FLG2:  TA_CLRå±æ§ï¼åæããããã¿ã¼ã³0x01
+ *  FLG3:  TA_WMULå±æ§ï¼åæããããã¿ã¼ã³0x00
+ *  FLG4:  TA_WMUL|TA_TPRIå±æ§ï¼åæããããã¿ã¼ã³0x00
+ *
+ * ããã¹ãã·ã¼ã±ã³ã¹ã
+ *
+ *	== TASK1ï¼åªå
+åº¦ï¼ä¸­ï¼==
+ *  1:	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)									... (J-1)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x01)									... (J-2)
+ *	2:	loc_cpu()
+ *		set_flg(FLG1, 0x01) -> E_CTX								... (A-1)
+ *		wai_flg(FLG1)
+ *		wai_flg(FLG1, 0x01, TWF_ORW, &flgptn) -> E_CTX				... (D-2)
+ *		unl_cpu()
+ *		dis_dsp()
+ *		wai_flg(FLG1, 0x01, TWF_ORW, &flgptn) -> E_CTX				... (D-3)
+ *		ena_dsp()
+ *		chg_ipm(TMAX_INTPRI)
+ *		wai_flg(FLG1, 0x01, TWF_ORW, &flgptn) -> E_CTX				... (D-4)
+ *		chg_ipm(TIPM_ENAALL)
+ *		set_flg(0, 0x01) -> E_ID									... (A-2)
+ *		wai_flg(0, 0x01, TWF_ORW, &flgptn) -> E_ID					... (D-5)
+ *		set_flg(TNUM_FLGID+1, 0x01) -> E_ID							... (A-3)
+ *		wai_flg(TNUM_FLGID+1, 0x01, TWF_ORW, &flgptn) -> E_ID		... (D-6)
+ *		wai_flg(FLG1, 0x00, TWF_ORW, &flgptn) -> E_PAR				... (D-7)
+ *		wai_flg(FLG1, 0x01, 0U, &flgptn) -> E_PAR					... (D-8)
+ *		wai_flg(FLG1, 0x01, (TWF_ORW|TWF_ANDW), &flgptn) -> E_PAR	... (D-9)
+ *		set_flg(FLG1, 0x00)											... (B-1)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *		set_flg(FLG1, 0x01)											... (B-2)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x01)
+ *		set_flg(FLG1, 0x01)											... (B-3)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x01)
+ *		set_flg(FLG1, 0x02)											... (B-4)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x03)
+ *		clr_flg(FLG1, ~0x01)
+ *		set_flg(FLG1, 0x03)											... (B-5)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x03)
+ *	3:	act_tsk(TASK2)
+ *	== TASK2ï¼åªå
+åº¦ï¼é«ï¼==
+ *	4:	wai_flg(FLG1, 0x05, TWF_ORW, &flgptn)						... (E-1)
+ *		assert(flgptn == 0x03)
+ *	5:	wai_flg(FLG1, 0x04, TWF_ORW, &flgptn)						... (E-2)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	6:	set_flg(FLG1, 0x04)											... (C-1)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	7:	assert(flgptn == 0x07)
+ *		wai_flg(FLG1, 0x03, TWF_ANDW, &flgptn)						... (E-3)
+ *		assert(flgptn == 0x07)
+ *	8:	wai_flg(FLG1, 0x0c, TWF_ANDW, &flgptn)						... (E-4)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	9:	dis_dsp()
+ *		set_flg(FLG1, 0x08)											... (C-2)
+ *  	ref_flg(FLG1, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x0f)
+ *	10:	ena_dsp()
+ *	== TASK2ï¼ç¶ãï¼==
+ *	11:	assert(flgptn == 0x0f)
+ *		wai_flg(FLG2, 0x05, TWF_ORW, &flgptn)						... (F-1)
+ *		assert(flgptn == 0x01)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *		set_flg(FLG2, 0x01)
+ *	12:	wai_flg(FLG2, 0x04, TWF_ORW, &flgptn)						... (F-2)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	13:	chg_ipm(TMAX_INTPRI)
+ *		set_flg(FLG2, 0x04)											... (C-2)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *	14:	chg_ipm(TIPM_ENAALL)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	15:	assert(flgptn == 0x05)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *		set_flg(FLG2, 0x03)
+ *		wai_flg(FLG2, 0x03, TWF_ANDW, &flgptn)						... (F-3)
+ *		assert(flgptn == 0x03)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *		set_flg(FLG2, 0x03)
+ *	16:	wai_flg(FLG2, 0x05, TWF_ANDW, &flgptn)						... (F-4)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	17:	sus_tsk(TASK2)
+ *		set_flg(FLG2, 0x04)											... (C-3)
+ *  	ref_flg(FLG2, &rflg)
+ *		assert(rflg.wtskid == TSK_NONE)
+ *		assert(rflg.flgptn == 0x00)
+ *	18:	rsm_tsk(TASK2)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	19:	assert(flgptn == 0x07)
+ *	20:	wai_flg(FLG2, 0x01, TWF_ORW, &flgptn)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	21:	wai_flg(FLG2, 0x02, TWF_ORW, &flgptn) -> E_ILUSE			... (G-2)
+ *		set_flg(FLG2, 0x02)
+ *		wai_flg(FLG2, 0x02, TWF_ORW, &flgptn) -> E_ILUSE			... (G-1)
+ *	22:	set_flg(FLG2, 0x01)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	23:	assert(flgptn == 0x03)
+ *		act_tsk(TASK3)
+ *	24:	slp_tsk()
+ *	== TASK1ï¼ç¶ãï¼==
+ *	25:	wai_flg(FLG3, 0x01, TWF_ORW, &flgptn)
+ *	== TASK3ï¼åªå
+åº¦ï¼ä½ï¼==
+ *	26:	wup_tsk(TASK2)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	27:	wai_flg(FLG3, 0x02, TWF_ORW, &flgptn)						... (H-1)
+ *	== TASK3ï¼ç¶ãï¼==
+ *	28: set_flg(FLG3, 0x02)											... (H-3)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	29:	wai_flg(FLG3, 0x02, TWF_ORW, &flgptn)
+ *	== TASK3ï¼ç¶ãï¼==
+ *	30: set_flg(FLG3, 0x03)											... (H-2)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	31:	wai_flg(FLG4, 0x01, TWF_ORW, &flgptn)
+ *	== TASK3ï¼åªå
+åº¦ï¼ä½ï¼==
+ *	32: set_flg(FLG3, 0x03)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	33:	wai_flg(FLG4, 0x02, TWF_ORW, &flgptn)						... (I-1)
+ *	== TASK3ï¼ç¶ãï¼==
+ *	34: set_flg(FLG4, 0x03)											... (I-2)
+ *	== TASK2ï¼ç¶ãï¼==
+ *	35:	wai_flg(FLG4, 0x02, TWF_ORW, &flgptn)
+ *	== TASK3ï¼ç¶ãï¼==
+ *	36: set_flg(FLG4, 0x01)											... (I-3)
+ *	== TASK1ï¼ç¶ãï¼==
+ *	37:	clr_flg(FLG3, 0)
+ *		sta_alm(ALM1, 10000U)
+ *	38:	wai_flg(FLG3, 0x01, TWF_ORW, &flgptn)
+ *	== TASK3ï¼ç¶ãï¼==
+ *	39:	wai_flg(FLG3, 0x02, TWF_ORW, &flgptn)
+ *	== ALM1 ==
+ *	40:	wai_flg(FLG1, 0x01, TWF_ORW, &flgptn) -> E_CTX				... (D-1)
+ *		set_flg(FLG3, 0x01)
+ *	41:	RETURN
+ *	== TASK1ï¼ç¶ãï¼==
+ *	42:	set_flg(FLG3, 0x02)											... (C-4)
+ *	43:	slp_tsk()
+ *	== TASK3ï¼ç¶ãï¼==
+ *	44:	END
+ */
+
+#include <kernel.h>
+#include <t_syslog.h>
+#include "syssvc/test_svc.h"
+#include "kernel_cfg.h"
+#include "test_sem1.h"
+
+/* DO NOT DELETE THIS LINE -- gentest depends on it. */
+
+void
+alarm1_handler(intptr_t exinf)
+{
+	ER_UINT	ercd;
+	FLGPTN	flgptn;
+
+	check_point(40);
+	ercd = wai_flg(FLG1, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_CTX);
+
+	ercd = set_flg(FLG3, 0x01);
+	check_ercd(ercd, E_OK);
+
+	check_point(41);
+	return;
+
+	check_point(0);
+}
+
+void
+task1(intptr_t exinf)
+{
+	ER_UINT	ercd;
+	T_RFLG	rflg;
+	FLGPTN	flgptn;
+
+	test_start(__FILE__);
+
+	check_point(1);
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x01);
+
+	check_point(2);
+	ercd = loc_cpu();
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(FLG1, 0x01);
+	check_ercd(ercd, E_CTX);
+
+	ercd = wai_flg(FLG1, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_CTX);
+
+	ercd = unl_cpu();
+	check_ercd(ercd, E_OK);
+
+	ercd = dis_dsp();
+	check_ercd(ercd, E_OK);
+
+	ercd = wai_flg(FLG1, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_CTX);
+
+	ercd = ena_dsp();
+	check_ercd(ercd, E_OK);
+
+	ercd = chg_ipm(TMAX_INTPRI);
+	check_ercd(ercd, E_OK);
+
+	ercd = wai_flg(FLG1, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_CTX);
+
+	ercd = chg_ipm(TIPM_ENAALL);
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(0, 0x01);
+	check_ercd(ercd, E_ID);
+
+	ercd = wai_flg(0, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_ID);
+
+	ercd = set_flg(TNUM_FLGID+1, 0x01);
+	check_ercd(ercd, E_ID);
+
+	ercd = wai_flg(TNUM_FLGID+1, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_ID);
+
+	ercd = wai_flg(FLG1, 0x00, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_PAR);
+
+	ercd = wai_flg(FLG1, 0x01, 0U, &flgptn);
+	check_ercd(ercd, E_PAR);
+
+	ercd = wai_flg(FLG1, 0x01, (TWF_ORW|TWF_ANDW), &flgptn);
+	check_ercd(ercd, E_PAR);
+
+	ercd = set_flg(FLG1, 0x00);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	ercd = set_flg(FLG1, 0x01);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x01);
+
+	ercd = set_flg(FLG1, 0x01);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x01);
+
+	ercd = set_flg(FLG1, 0x02);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x03);
+
+	ercd = clr_flg(FLG1, ~0x01);
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(FLG1, 0x03);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x03);
+
+	check_point(3);
+	ercd = act_tsk(TASK2);
+	check_ercd(ercd, E_OK);
+
+	check_point(6);
+	ercd = set_flg(FLG1, 0x04);
+	check_ercd(ercd, E_OK);
+
+	check_point(9);
+	ercd = dis_dsp();
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(FLG1, 0x08);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG1, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x0f);
+
+	check_point(10);
+	ercd = ena_dsp();
+	check_ercd(ercd, E_OK);
+
+	check_point(13);
+	ercd = chg_ipm(TMAX_INTPRI);
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(FLG2, 0x04);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	check_point(14);
+	ercd = chg_ipm(TIPM_ENAALL);
+	check_ercd(ercd, E_OK);
+
+	check_point(17);
+	ercd = sus_tsk(TASK2);
+	check_ercd(ercd, E_OK);
+
+	ercd = set_flg(FLG2, 0x04);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	check_point(18);
+	ercd = rsm_tsk(TASK2);
+	check_ercd(ercd, E_OK);
+
+	check_point(21);
+	ercd = wai_flg(FLG2, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_ILUSE);
+
+	ercd = set_flg(FLG2, 0x02);
+	check_ercd(ercd, E_OK);
+
+	ercd = wai_flg(FLG2, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_ILUSE);
+
+	check_point(22);
+	ercd = set_flg(FLG2, 0x01);
+	check_ercd(ercd, E_OK);
+
+	check_point(25);
+	ercd = wai_flg(FLG3, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(31);
+	ercd = wai_flg(FLG4, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(37);
+	ercd = clr_flg(FLG3, 0);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM1, 10000U);
+	check_ercd(ercd, E_OK);
+
+	check_point(38);
+	ercd = wai_flg(FLG3, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(42);
+	ercd = set_flg(FLG3, 0x02);
+	check_ercd(ercd, E_OK);
+
+	check_point(43);
+	ercd = slp_tsk();
+	check_ercd(ercd, E_OK);
+
+	check_point(0);
+}
+
+void
+task2(intptr_t exinf)
+{
+	ER_UINT	ercd;
+	FLGPTN	flgptn;
+	T_RFLG	rflg;
+
+	check_point(4);
+	ercd = wai_flg(FLG1, 0x05, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_assert(flgptn == 0x03);
+
+	check_point(5);
+	ercd = wai_flg(FLG1, 0x04, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(7);
+	check_assert(flgptn == 0x07);
+
+	ercd = wai_flg(FLG1, 0x03, TWF_ANDW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_assert(flgptn == 0x07);
+
+	check_point(8);
+	ercd = wai_flg(FLG1, 0x0c, TWF_ANDW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(11);
+	check_assert(flgptn == 0x0f);
+
+	ercd = wai_flg(FLG2, 0x05, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_assert(flgptn == 0x01);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	ercd = set_flg(FLG2, 0x01);
+	check_ercd(ercd, E_OK);
+
+	check_point(12);
+	ercd = wai_flg(FLG2, 0x04, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(15);
+	check_assert(flgptn == 0x05);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	ercd = set_flg(FLG2, 0x03);
+	check_ercd(ercd, E_OK);
+
+	ercd = wai_flg(FLG2, 0x03, TWF_ANDW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_assert(flgptn == 0x03);
+
+	ercd = ref_flg(FLG2, &rflg);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rflg.wtskid == TSK_NONE);
+
+	check_assert(rflg.flgptn == 0x00);
+
+	ercd = set_flg(FLG2, 0x03);
+	check_ercd(ercd, E_OK);
+
+	check_point(16);
+	ercd = wai_flg(FLG2, 0x05, TWF_ANDW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(19);
+	check_assert(flgptn == 0x07);
+
+	check_point(20);
+	ercd = wai_flg(FLG2, 0x01, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(23);
+	check_assert(flgptn == 0x03);
+
+	ercd = act_tsk(TASK3);
+	check_ercd(ercd, E_OK);
+
+	check_point(24);
+	ercd = slp_tsk();
+	check_ercd(ercd, E_OK);
+
+	check_point(27);
+	ercd = wai_flg(FLG3, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(29);
+	ercd = wai_flg(FLG3, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(33);
+	ercd = wai_flg(FLG4, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(35);
+	ercd = wai_flg(FLG4, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_point(0);
+}
+
+void
+task3(intptr_t exinf)
+{
+	ER_UINT	ercd;
+	FLGPTN	flgptn;
+
+	check_point(26);
+	ercd = wup_tsk(TASK2);
+	check_ercd(ercd, E_OK);
+
+	check_point(28);
+	ercd = set_flg(FLG3, 0x02);
+	check_ercd(ercd, E_OK);
+
+	check_point(30);
+	ercd = set_flg(FLG3, 0x03);
+	check_ercd(ercd, E_OK);
+
+	check_point(32);
+	ercd = set_flg(FLG3, 0x03);
+	check_ercd(ercd, E_OK);
+
+	check_point(34);
+	ercd = set_flg(FLG4, 0x03);
+	check_ercd(ercd, E_OK);
+
+	check_point(36);
+	ercd = set_flg(FLG4, 0x01);
+	check_ercd(ercd, E_OK);
+
+	check_point(39);
+	ercd = wai_flg(FLG3, 0x02, TWF_ORW, &flgptn);
+	check_ercd(ercd, E_OK);
+
+	check_finish(44);
+	check_point(0);
+}
Index: asp3_wo_tecs/trunk/test/test_flg1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.cfg	(revision 304)
+++ asp3_wo_tecs/trunk/test/test_flg1.cfg	(revision 304)
@@ -0,0 +1,19 @@
+/*
+ *		ã¤ãã³ããã©ã°æ©è½ã®ãã¹ã(1)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
+ *
+ *  $Id: test_flg1.cfg 579 2016-02-03 07:29:11Z ertl-hiro $
+ */
+INCLUDE("syssvc/syslog.cfg");
+INCLUDE("syssvc/banner.cfg");
+INCLUDE("syssvc/serial.cfg");
+
+#include "test_flg1.h"
+
+CRE_TSK(TASK1, { TA_ACT, 1, task1, MID_PRIORITY, STACK_SIZE, NULL });
+CRE_TSK(TASK2, { TA_NULL, 2, task2, HIGH_PRIORITY, STACK_SIZE, NULL });
+CRE_TSK(TASK3, { TA_NULL, 3, task3, LOW_PRIORITY, STACK_SIZE, NULL });
+CRE_ALM(ALM1, { TA_NULL, { TNFY_HANDLER, 1, alarm1_handler }});
+CRE_FLG(FLG1, { TA_NULL, 0x00 });
+CRE_FLG(FLG2, { TA_CLR, 0x01 });
+CRE_FLG(FLG3, { TA_WMUL|TA_CLR, 0x00 });
+CRE_FLG(FLG4, { TA_WMUL|TA_TPRI|TA_CLR, 0x00 });
Index: asp3_wo_tecs/trunk/test/test_flg1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.h	(revision 304)
+++ asp3_wo_tecs/trunk/test/test_flg1.h	(revision 304)
@@ -0,0 +1,94 @@
+/*
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
+ * 
+ *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+ *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+ *  å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+ *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+ *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+ *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+ *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+ *      è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+ *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+ *      ã¨ï¼
+ *    (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+ *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *    (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+ *        å ±åãããã¨ï¼
+ *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+ *      å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+ *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+ *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+ *      å
+è²¬ãããã¨ï¼
+ * 
+ *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+ *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+ *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+ *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+ *  ã®è²¬ä»»ãè² ããªãï¼
+ * 
+ *  $Id: test_flg1.h 579 2016-02-03 07:29:11Z ertl-hiro $
+ */
+
+/* 
+ *		ã»ããã©æ©è½ã®ãã¹ã(1)
+ */
+
+#include <kernel.h>
+
+/*
+ *  ã¿ã¼ã²ããä¾å­ã®å®ç¾©
+ */
+#include "target_test.h"
+
+/*
+ *  åªå
+åº¦ã®å®ç¾©
+ */
+#define HIGH_PRIORITY	9		/* é«åªå
+åº¦ */
+#define MID_PRIORITY	10		/* ä¸­åªå
+åº¦ */
+#define LOW_PRIORITY	11		/* ä½åªå
+åº¦ */
+
+/*
+ *  ã¿ã¼ã²ããã«ä¾å­ããå¯è½æ§ã®ããå®æ°ã®å®ç¾©
+ */
+#ifndef STACK_SIZE
+#define	STACK_SIZE		4096		/* ã¿ã¹ã¯ã®ã¹ã¿ãã¯ãµã¤ãº */
+#endif /* STACK_SIZE */
+
+/*
+ *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
+ */
+#ifndef TOPPERS_MACRO_ONLY
+
+extern void	task1(intptr_t exinf);
+extern void	task2(intptr_t exinf);
+extern void	task3(intptr_t exinf);
+extern void	alarm1_handler(intptr_t exinf);
+
+#endif /* TOPPERS_MACRO_ONLY */
Index: asp3_wo_tecs/trunk/test/test_hrt1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_hrt1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_hrt1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_hrt1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex1.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex2.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex2.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex2.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex2.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex3.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex3.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex3.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex3.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex4.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex4.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex4.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex4.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex5.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex5.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex5.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex5.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex6.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex6.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex6.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex6.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex7.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex7.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex7.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex7.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_mutex8.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex8.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_mutex8.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_mutex8.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_notify1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_notify1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_notify1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_notify1.cfg 463 2015-10-18 14:25:55Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_raster1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_raster1.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: test_raster1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_raster2.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster2.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_raster2.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: test_raster2.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_sem1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_sem1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_sem1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_sem2.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem2.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_sem2.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_sem2.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_sysman1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_sysman1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_sysman1.cfg	(revision 304)
@@ -6,5 +6,4 @@
  *  $Id: test_sysman1.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_sysstat1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_sysstat1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_sysstat1.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: test_sysstat1.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_task1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_task1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_task1.cfg	(revision 304)
@@ -4,5 +4,4 @@
  *  $Id: test_task1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
Index: asp3_wo_tecs/trunk/test/test_tmevt1.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_tmevt1.cfg	(revision 302)
+++ asp3_wo_tecs/trunk/test/test_tmevt1.cfg	(revision 304)
@@ -5,5 +5,4 @@
  *  $Id: test_tmevt1.cfg 326 2015-06-21 06:06:45Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
 INCLUDE("syssvc/syslog.cfg");
 INCLUDE("syssvc/banner.cfg");
